# $Revision: 1.11 $, $Date: 2012/01/24 17:40:38 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Catalyst
%define	pnam	Plugin-ConfigLoader
Summary:	Catalyst::Plugin::ConfigLoader - load config files of various types
Summary(pl.UTF-8):	Catalyst::Plugin::ConfigLoader - wczytywanie różnych plików konfiguracyjnych
Name:		perl-Catalyst-Plugin-ConfigLoader
Version:	0.30
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Catalyst/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d6cd604120535d5c0ab1160c3a097187
URL:		http://search.cpan.org/dist/Catalyst-Plugin-ConfigLoader/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Catalyst >= 5.7008
BuildRequires:	perl-Config-Any >= 0.08
BuildRequires:	perl-Data-Visitor >= 0.24
BuildRequires:	perl-MRO-Compat >= 0.09
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module will attempt to find and load a configuration file of
various types. Currently it supports YAML, JSON, XML, INI and Perl
formats.

To support the distinction between development and production
environments, this module will also attemp to load a local config
(e.g. myapp_local.yaml) which will override any duplicate settings.

%description -l pl.UTF-8
Ten moduł próbuje odnaleźć i wczytać pliki konfiguracyjne różnych
rodzajów. Aktualnie obsługuje formaty YAML, JSON, XML, INI i Perl.

Aby obsłużyć rozróżnienie między środowiskiem programistycznym a
produkcyjnym, moduł ten próbuje także wczytać lokalny plik
konfiguracyjny (np. myapp_local.yaml), który przykryje wszystkie
powtarzające się ustawienia.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} -MExtUtils::MakeMaker -we 'WriteMakefile(NAME=>"Catalyst::Plugin::ConfigLoader")' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Catalyst/Plugin/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Catalyst-Plugin-ConfigLoader.spec,v $
Revision 1.11  2012/01/24 17:40:38  zbyniu
- up to 0.30

Revision 1.10  2009/09/10 15:11:39  radek
- version 0.27

Revision 1.9  2009/06/16 10:21:30  amateja
- updated to 0.23

Revision 1.8  2008/12/12 23:59:53  radek
- version 0.21

Revision 1.7  2008-02-23 14:28:45  radek
- version 0.19

Revision 1.6  2007/03/31 19:35:23  qboosh
- generic URL
- BR: perl-Module-Build

Revision 1.5  2007/03/23 11:16:35  radek
- updated perl-Catalyst-* to newest versions

Revision 1.4  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.2  2006/08/19 21:58:52  qboosh
- pl

Revision 1.1  2006/08/12 15:47:55  migo
- initial revision
